backend:
  name: github
  repo: dredav/local-page-content
  branch: develop
  commit_messages:
    create: "dreher-dreher.eu: Create a new collection entry: {{collection}}/{{slug}}"
    update: "dreher-dreher.eu: Update a collection entry: {{collection}}/{{slug}}"
    delete: "dreher-dreher.eu: Delete a collection entry: {{collection}}/{{slug}}"
    uploadMedia: "dreher-dreher.eu: Upload media: {{path}}"
    deleteMedia: "dreher-dreher.eu: Delete media: {{path}}"

media_folder: "websites/dreher-dreher.eu/assets/unoptimized"
public_folder: "/content-assets/"

collections:
  - label: "Pages"
    name: "pages"
    files:
      - label: "Startseite"
        name: "home"
        file: "websites/dreher-dreher.eu/pages/index.json"
        fields:
          - label: Titel
            name: title
            widget: string
          - label: Beschreibung
            name: description
            widget: string
          - label: Layout
            name: layout
            widget: string
            default: default
          - label: Inhalt
            name: body
            widget: markdown
          - label: Slider
            name: carousel
            widget: list
            required: false
            fields:
              - label: Bild
                name: image
                widget: image
              - label: Titel
                name: title
                widget: string
                required: false
              - label: Beschreibung
                name: description
                widget: string
                required: false
          - label: Optionen
            name: options
            widget: object
            required: false
            fields:
              - label: business
                name: business
                widget: markdown
                required: false
              - label: Karte
                name: map
                widget: object
                required: false
                fields:
                  - label: Latitude
                    name: latitude
                    widget: number
                    valueType: "float"
                  - label: Longitude
                    name: longitude
                    widget: number
                    valueType: "float"
                  - label: Zoom
                    name: zoom
                    widget: number
                    valueType: "int"
                    default: 15
                    min: 1
                    max: 21
                    step: 1
              - label: YouTube
                name: youtube
                widget: object
                required: false
                fields:
                  - label: Beschreibung
                    name: content
                    widget: markdown
                  - label: Videos
                    name: sources
                    widget: list
                    fields:
                      - label: Video
                        name: src
                        widget: string
      - label: "Leistungen / Kabeltiefbau"
        name: "kabeltiefbau"
        file: "websites/dreher-dreher.eu/pages/leistungen/kabeltiefbau.json"
        fields:
          - label: Titel
            name: title
            widget: string
          - label: Beschreibung
            name: description
            widget: string
          - label: Layout
            name: layout
            widget: string
            default: default
          - label: Inhalt
            name: body
            widget: markdown
          - label: Einstellungen
            name: options
            widget: object
            required: false
            fields:
              - label: Gallerien
                name: galleries
                widget: list
                fields:
                  - label: Titel
                    name: title
                    widget: string
                  - label: Bilder
                    name: images
                    widget: list
                    fields:
                      - label: Image
                        name: image
                        widget: image
                      - label: Titel
                        name: title
                        widget: string
                        required: false
      - label: "Leistungen / Dichtheitsprüfung"
        name: "dichtheitspruefungen"
        file: "websites/dreher-dreher.eu/pages/leistungen/dichtheitspruefungen.json"
        fields:
          - label: Titel
            name: title
            widget: string
          - label: Beschreibung
            name: description
            widget: string
          - label: Layout
            name: layout
            widget: string
            default: default
          - label: Inhalt
            name: body
            widget: markdown
          - label: Einstellungen
            name: options
            widget: object
            required: false
            fields:
              - label: Gallerien
                name: galleries
                widget: list
                fields:
                  - label: Titel
                    name: title
                    widget: string
                  - label: Bilder
                    name: images
                    widget: list
                    fields:
                      - label: Image
                        name: image
                        widget: image
                      - label: Titel
                        name: title
                        widget: string
                        required: false
      - label: "Leistungen / Grabenlose Technik"
        name: "grabenlose-technik"
        file: "websites/dreher-dreher.eu/pages/leistungen/grabenlose-technik.json"
        fields:
          - label: Titel
            name: title
            widget: string
          - label: Beschreibung
            name: description
            widget: string
          - label: Layout
            name: layout
            widget: string
            default: default
          - label: Inhalt
            name: body
            widget: markdown
          - label: Einstellungen
            name: options
            widget: object
            required: false
            fields:
              - label: Gallerien
                name: galleries
                widget: list
                fields:
                  - label: Titel
                    name: title
                    widget: string
                  - label: Bilder
                    name: images
                    widget: list
                    fields:
                      - label: Image
                        name: image
                        widget: image
                      - label: Titel
                        name: title
                        widget: string
                        required: false
      - label: "Leistungen / Kanalbau"
        name: "kanalbau"
        file: "websites/dreher-dreher.eu/pages/leistungen/kanalbau.json"
        fields:
          - label: Titel
            name: title
            widget: string
          - label: Beschreibung
            name: description
            widget: string
          - label: Layout
            name: layout
            widget: string
            default: default
          - label: Inhalt
            name: body
            widget: markdown
          - label: Einstellungen
            name: options
            widget: object
            required: false
            fields:
              - label: Gallerien
                name: galleries
                widget: list
                fields:
                  - label: Titel
                    name: title
                    widget: string
                  - label: Bilder
                    name: images
                    widget: list
                    fields:
                      - label: Image
                        name: image
                        widget: image
                      - label: Titel
                        name: title
                        widget: string
                        required: false
      - label: "Leistungen / Rohrleitungsbau"
        name: "rohrleitungsbau"
        file: "websites/dreher-dreher.eu/pages/leistungen/rohrleitungsbau.json"
        fields:
          - label: Titel
            name: title
            widget: string
          - label: Beschreibung
            name: description
            widget: string
          - label: Layout
            name: layout
            widget: string
            default: default
          - label: Inhalt
            name: body
            widget: markdown
          - label: Einstellungen
            name: options
            widget: object
            required: false
            fields:
              - label: Gallerien
                name: galleries
                widget: list
                fields:
                  - label: Titel
                    name: title
                    widget: string
                  - label: Bilder
                    name: images
                    widget: list
                    fields:
                      - label: Image
                        name: image
                        widget: image
                      - label: Titel
                        name: title
                        widget: string
                        required: false
      - label: "Karriere"
        name: "career"
        file: "websites/dreher-dreher.eu/pages/karriere.json"
        fields:
          - label: Titel
            name: title
            widget: string
          - label: Beschreibung
            name: description
            widget: string
          - label: Layout
            name: layout
            widget: string
            default: default
          - label: Inhalt
            name: body
            widget: markdown
          - label: Jobs
            name: jobs
            widget: list
            summary: "{{title}}"
            fields:
              - label: Titel
                name: title
                widget: string
              - label: For jobs
                name: for-jobs
                widget: string
              - label: Beschreibung
                name: description
                widget: string
              - label: Seite
                name: page
                widget: object
                fields:
                - label: Titel
                  name: title
                  widget: string
                - label: Beschreibung
                  name: description
                  widget: string
                - label: Permalink
                  name: permalink
                  widget: string
                - label: "Inhalt"
                  name: body
                  widget: markdown
          - label: Optionen
            name: options
            widget: object
            required: false
            fields:
              - label: YouTube
                name: youtube
                widget: object
                required: false
                fields:
                  - label: Beschreibung
                    name: content
                    widget: markdown
                  - label: Videos
                    name: sources
                    widget: list
                    fields:
                      - label: Video
                        name: src
                        widget: string
      - label: "Historie"
        name: "historie"
        file: "websites/dreher-dreher.eu/pages/historie.json"
        fields:
          - label: Titel
            name: title
            widget: string
          - label: Beschreibung
            name: description
            widget: string
          - label: Layout
            name: layout
            widget: string
            default: default
          - label: Inhalt
            name: body
            widget: markdown
      - label: "Güteschutz Kanalbau Urkunde"
        name: "gueteschutz-kanalbau-urkunde"
        file: "websites/dreher-dreher.eu/pages/gueteschutz-kanalbau-urkunde.json"
        fields:
          - label: Titel
            name: title
            widget: string
          - label: Beschreibung
            name: description
            widget: string
          - label: Layout
            name: layout
            widget: string
            default: default
          - label: Inhalt
            name: body
            widget: markdown
      - label: "Über uns"
        name: "ueber-uns"
        file: "websites/dreher-dreher.eu/pages/ueber-uns.json"
        fields:
          - label: Titel
            name: title
            widget: string
          - label: Beschreibung
            name: description
            widget: string
          - label: Layout
            name: layout
            widget: string
            default: default
          - label: Inhalt
            name: body
            widget: markdown 
      - label: "Datenschutzerklärung"
        name: "datenschutzerklaerung"
        file: "websites/dreher-dreher.eu/pages/datenschutz.json"
        fields:
          - label: Titel
            name: title
            widget: string
          - label: Beschreibung
            name: description
            widget: string
          - label: Layout
            name: layout
            widget: string
            default: easyRechtssicher
          - label: Permalink
            name: permalink
            widget: string
            required: false
          - label: Generator
            name: generator
            widget: select
            options:
              - { label: "Datenschutzerklärung", value: "privacy" }
              - { label: "Impressum", value: "imprint" }
              - { label: "Social Media", value: "social" }
      - label: "Impressum"
        name: "impressum"
        file: "websites/dreher-dreher.eu/pages/impressum.json"
        fields:
          - label: Titel
            name: title
            widget: string
          - label: Beschreibung
            name: description
            widget: string
          - label: Layout
            name: layout
            widget: string
            default: easyRechtssicher
          - label: Permalink
            name: permalink
            widget: string
            required: false
          - label: Generator
            name: generator
            widget: select
            options:
              - { label: "Datenschutzerklärung", value: "privacy" }
              - { label: "Impressum", value: "imprint" }
              - { label: "Social Media", value: "social" }
      - label: "Social Media"
        name: "socialmedia"
        file: "websites/dreher-dreher.eu/pages/socialmedia.json"
        fields:
          - label: Titel
            name: title
            widget: string
          - label: Beschreibung
            name: description
            widget: string
          - label: Layout
            name: layout
            widget: string
            default: easyRechtssicher
          - label: Permalink
            name: permalink
            widget: string
            required: false
          - label: Generator
            name: generator
            widget: select
            options:
              - { label: "Datenschutzerklärung", value: "privacy" }
              - { label: "Impressum", value: "imprint" }
              - { label: "Social Media", value: "social" }

  - label: "Menus"
    name: "menus"
    files:
      - label: "Main"
        name: "main"
        file: "websites/dreher-dreher.eu/menus/main.json"
        widget: list
        fields:
          - label: Seiten
            name: pages
            widget: list
            fields:
              - label: Name
                name: name
                widget: string
              - label: Permalink
                name: permalink
                widget: string
                required: false
              - label: Seiten
                name: pages
                widget: list
                fields:
                  - label: Name
                    name: name
                    widget: string
                  - label: Permalink
                    name: permalink
                    widget: string
                    required: false
      - label: "Footer"
        name: "footer"
        file: "websites/dreher-dreher.eu/menus/footer.json"
        widget: list
        fields:
          - label: Seiten
            name: pages
            widget: list
            fields:
              - label: Name
                name: name
                widget: string
              - label: Permalink
                name: permalink
                widget: string
                required: false

  - label: "Einstellungen"
    name: "settings"
    files:
      - label: "Allgemein"
        name: "settings"
        file: "websites/dreher-dreher.eu/config.json"
        fields:
          - label: Title
            name: title
            widget: string
          - label: Subtitle
            name: subtitle
            widget: string
          - label: Favicon
            name: favicon
            widget: string
            required: false
          - label: Theme
            name: theme
            widget: string
            default: default
          - label: Language
            name: languageIso
            widget: string
            default: de
          - label: Company
            name: business
            widget: object
            fields:
              - label: Street
                name: street
                widget: string
              - label: Zip
                name: zip
                widget: string
              - label: City
                name: city
                widget: string
              - label: Country
                name: country
                widget: string
              - label: Country (ISO)
                name: countryIso
                widget: string
                pattern: ['.{2}', "The country iso is a two-letter code"]
              - label: E-Mail
                name: email
                widget: string
              - label: Phone
                name: telephone
                widget: string
              - label: Fax
                name: faxNumber
                widget: string
              - label: Latitude
                name: latitude
                widget: string
              - label: Longitude
                name: longitude
                widget: string
              - label: Opening hours
                name: openingHours
                widget: object
                fields:
                  - label: Normal
                    name: normal
                    widget: list
                    summary: "{{dayOfWeek}}: {{isOpen}} / {{opens}} - {{closes}}"
                    fields:
                      - label: Day of week
                        name: dayOfWeek
                        widget: select
                        options:
                          - { label: "Monday", value: "monday" }
                          - { label: "Tuesday", value: "tuesday" }
                          - { label: "Wednesday", value: "wednesday" }
                          - { label: "Thursday", value: "thursday" }
                          - { label: "Friday", value: "friday" }
                          - { label: "Saturday", value: "saturday" }
                          - { label: "Sunday", value: "sunday" }
                      - label: Is open
                        name: isOpen
                        widget: boolean
                        default: true
                      - label: Opens
                        name: opens
                        widget: string
                        pattern: ['\d{2}:\d{2}:\d{2}', "Enter a time with format: HH:ii:ss"]
                      - label: Closes
                        name: closes
                        widget: string
                        pattern: ['\d{2}:\d{2}:\d{2}', "Enter a time with format: HH:ii:ss"]
                  - label: Specials
                    name: specials
                    widget: list
                    summary: "{{dayOfWeek}}: {{isOpen}} / {{opens}} - {{closes}} ({{validFrom}}-{{validThrough}})"
                    fields:
                      - label: Day of week
                        name: dayOfWeek
                        widget: select
                        options:
                          - { label: "Monday", value: "monday" }
                          - { label: "Tuesday", value: "tuesday" }
                          - { label: "Wednesday", value: "wednesday" }
                          - { label: "Thursday", value: "thursday" }
                          - { label: "Friday", value: "friday" }
                          - { label: "Saturday", value: "saturday" }
                          - { label: "Sunday", value: "sunday" }
                      - label: Is open
                        name: isOpen
                        widget: boolean
                        default: true
                      - label: Opens
                        name: opens
                        widget: string
                        pattern: ['\d{2}:\d{2}:\d{2}', "Enter a time with format: HH:ii:ss"]
                        required: false
                      - label: Closes
                        name: closes
                        widget: string
                        pattern: ['\d{2}:\d{2}:\d{2}', "Enter a time with format: HH:ii:ss"]
                        required: false
                      - label: Valid from
                        name: validFrom
                        widget: string
                        pattern: ['\d{4}-\d{2}-\d{2}', "Enter a date with format: HH:ii:ss"]
                      - label: Valid through
                        name: validThrough
                        widget: string
                        pattern: ['\d{4}-\d{2}-\d{2}', "Enter a date with format: HH:ii:ss"]
          - label: Footer
            name: footer
            widget: object
            fields:
              - label: Social-Media
                name: social
                widget: list
                fields:
                  - label: Icon
                    name: icon
                    widget: string
                  - label: Link
                    name: href
                    widget: string
          - label: API Zugangsdaten
            name: settings
            widget: object
            fields:
              - label: Google Maps
                name: googleMaps
                widget: string
              - label: Plausible
                name: plausible
                widget: object
                fields:
                  - label: Host
                    name: host
                    widget: string
                  - label: Configured domain
                    name: domain
                    widget: string
              - label: tinify
                name: tinify
                widget: string
              - label: eastRechtssicher
                name: easyrechtssicher
                widget: object
                fields:
                  - label: Domain
                    name: host
                    widget: string
                  - label: API-Key
                    name: api
                    widget: string
                  - label: API-Key (Social Media)
                    name: social-api
                    widget: string
          - label: Rewrites
            name: rewrites
            widget: list
            summary: "^{{origin}}$ -> {{target}} [{{flags}}]"
            fields:
              - label: Ursprungspfad
                name: origin
                widget: string
              - label: Zielpfad
                name: target
                widget: string
              - label: Flags
                name: flags
                widget: string
                default: "R=301,L,NC"
          - label: Redirects
            name: redirects
            widget: list
            summary: "{{status}}: {{origin}} -> {{target}}"
            fields:
              - label: Status Code
                name: status
                widget: "select"
                options:
                  - { label: "Dauerhaft", value: "301" }
                  - { label: "Temporär", value: "302" }
              - label: Ursprungspfad
                name: origin
                widget: string
              - label: Zielpfad
                name: target
                widget: string
      - label: "Publish: development"
        name: "development"
        file: "websites/dreher-dreher.eu/publish/development.json"
        fields:
          - label: Host
            name: host
            widget: string
          - label: Mode
            name: mode
            widget: "hidden"
            default: "0"
      - label: "Publish: preview"
        name: "preview"
        file: "websites/dreher-dreher.eu/publish/preview.json"
        fields:
          - label: Host
            name: host
            widget: string
          - label: Mode
            name: mode
            widget: "select"
            options:
              - { label: "None", value: "0" }
              - { label: "FTP", value: "1" }
          - label: Skip asset optimization
            name: skipOptimization
            widget: boolean
          - label: "FTP"
            name: "ftp"
            widget: "object"
            fields:
              - label: Host
                name: host
                widget: string
              - label: Port
                name: port
                widget: number
                default: 21
              - label: SSL
                name: ssl
                widget: boolean
              - label: User
                name: user
                widget: string
              - label: Password
                name: password
                widget: string
              - label: Directory
                name: directory
                widget: string
              - label: Passive
                name: passive
                widget: boolean
      - label: "Publish: production"
        name: "production"
        file: "websites/dreher-dreher.eu/publish/production.json"
        widget: list
        fields:
          - label: Host
            name: host
            widget: string
          - label: Mode
            name: mode
            widget: "select"
            options:
              - { label: "None", value: "0" }
              - { label: "FTP", value: "1" }
          - label: Skip asset optimization
            name: skipOptimization
            widget: boolean
          - label: "FTP"
            name: "ftp"
            widget: "object"
            fields:
              - label: Host
                name: host
                widget: string
              - label: Port
                name: port
                widget: number
                default: 21
              - label: SSL
                name: ssl
                widget: boolean
              - label: User
                name: user
                widget: string
              - label: Password
                name: password
                widget: string
              - label: Directory
                name: directory
                widget: string
              - label: Passive
                name: passive
                widget: boolean
